// creator  : weidu.exe (version 23100)
// argument : TANNER.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TANNER~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 18 even though they appear after this state */
~Global("TalkedToInspector","GLOBAL",1)
~ THEN BEGIN 0 // from:
  SAY #26110 /* ~I'm sorry, I'm closed at the moment. Come back when I have replenished my stock.~ [TANNER02] */
  IF ~~ THEN REPLY #26307 /* ~Sorry for bothering you.~ */ GOTO 1
  IF ~~ THEN REPLY #26308 /* ~Can I ask you a few questions about the local murders?~ */ GOTO 3
  IF ~~ THEN REPLY #26309 /* ~I'm looking into the local murders and I wanted to see if you knew anything.~ */ GOTO 3
  IF ~~ THEN REPLY #26311 /* ~Why are you closed? Hiding something, are you?~ */ GOTO 4
  IF ~Global("ToldInspector","GLOBAL",1)
~ THEN REPLY #26312 /* ~Oh, you can drop the act. I told the guard about you! He'll be coming by!~ */ GOTO 5
  IF ~~ THEN REPLY #26327 /* ~Where were you when the last murder victim was found?~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 3.5 0.0
  SAY #26310 /* ~No trouble. Goodbye.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 18 even though they appear after this state */
~Global("TalkedToLieutenant","GLOBAL",0)
~ THEN BEGIN 2 // from:
  SAY #26318 /* ~I'm sorry, I'm closed at the moment. Come back when I've replenished my stock.~ [TANNER02] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 4.1 4.0 0.5 0.2 0.1
  SAY #26329 /* ~The guards have already canvassed the neighborhood, so if you want anything, go talk to them.  I don't know who or what you are, so I'm not talking to you.~ */
  IF ~Global("ToldInspector","GLOBAL",1)
~ THEN REPLY #26368 /* ~But I know what you are, and I told the guard about it too.~ */ GOTO 5
  IF ~Global("TalkedToHooker2","GLOBAL",1)
Global("MerchantHide","GLOBAL",0)
~ THEN REPLY #26369 /* ~I think you should. There was tannin smelled on the murderer.~ */ GOTO 14
  IF ~Global("TalkedToHooker2","GLOBAL",0)
Global("MerchantHide","GLOBAL",1)
~ THEN REPLY #26370 /* ~I think you should. There was elephant hide found at the scene of a killing.~ */ GOTO 15
  IF ~Global("TalkedToHooker2","GLOBAL",0)
Global("MerchantHide","GLOBAL",0)
PartyHasItem("MISC5G")
~ THEN REPLY #26371 /* ~I think you should. I found leather at the scene of one of the murders.~ */ GOTO 9
  IF ~Global("TalkedToHooker2","GLOBAL",1)
Global("MerchantHide","GLOBAL",1)
~ THEN REPLY #26372 /* ~You had better. Elephant hide and tannin were found where people died.~ */ GOTO 8
  IF ~~ THEN REPLY #26373 /* ~Sorry to bother you then.~ */ GOTO 1
  IF ~Global("TalkedToHooker2","GLOBAL",1)
Global("MerchantHide","GLOBAL",0)
PartyHasItem("MISC5G")
~ THEN REPLY #26383 /* ~You had better. Tannin was smelled at one scene and a piece of leather found!~ */ GOTO 16
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #26335 /* ~I don't know what you are getting at.~ */
  IF ~~ THEN REPLY #26339 /* ~I wanted to ask you about the murders that have happened recently.~ */ GOTO 3
  IF ~~ THEN REPLY #26340 /* ~Where were you when the last murder was committed?~ */ GOTO 3
  IF ~Global("ToldInspector","GLOBAL",1)
~ THEN REPLY #26341 /* ~I think you do. I told the guard about you. He'll be coming to have a chat.~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.2 3.0 0.4
  SAY #26350 /* ~The guard? Ahh, you mean Lieutenant Aegisfield? Good man. We had a chat and he's sure I had nothing to do with any of the recent crimes. Now, if you will excuse me?~ */
  IF ~~ THEN REPLY #26351 /* ~I doubt he would have left you free after a simple chat. I know the evidence.~ */ GOTO 6
  IF ~~ THEN REPLY #26352 /* ~I will not. I know what links you to the crimes. I will not be quiet about it.~ */ GOTO 6
  IF ~~ THEN REPLY #26353 /* ~Well, if he let you go after what I told him, I guess you're all right.~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.2 5.1 5.0
  SAY #26363 /* ~So, you were the one who has been speaking ill of me? You gathered this... evidence? So there's others that will know too? Then it will not stop here.~ [TANNER06] */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 8.0 6.0
  SAY #26364 /* ~It's funny, isn't it? A simple piece of leather, and a whiff of tannin. If my leather had not been torn I would not have worn the new armor. No tear would have meant no smell.~ */
  IF ~~ THEN REPLY #26365 /* ~I knew it! It all led to you! You'll be coming to the garrison with me!~ */ DO ~SetGlobal("TannerExposed","GLOBAL",1)~ GOTO 19
  IF ~~ THEN REPLY #26366 /* ~So... you are admitting to being the killer? Why did you do this?~ */ DO ~SetGlobal("TannerExposed","GLOBAL",1)~ GOTO 20
  IF ~~ THEN REPLY #26367 /* ~Evil bastard! You'll be swinging from the gallows if I don't kill you first!~ */ DO ~SetGlobal("TannerExposed","GLOBAL",1)~ GOTO 21
END

IF ~~ THEN BEGIN 8 // from: 3.4
  SAY #26374 /* ~I see. You have gathered this... er, evidence? I suppose others will know of this as well then? Then it will not stop with your leaving.~ [TANNER07] */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 9 // from: 3.3
  SAY #26375 /* ~Not to disappoint you, but there are many, many people that own leather, you among them, I am sure. I make my living selling it, so I know how common it is.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 17.0 15.0 14.0 9.0
  SAY #26376 /* ~No, if that is the extent of your evidence then you have nothing more to say. I am a respected businessman, and if common sense will not keep you away, then I will have the guards force you. Leave.~ */
  IF ~~ THEN REPLY #26377 /* ~I will be back. This is not over.~ */ GOTO 11
  IF ~~ THEN REPLY #26378 /* ~Sorry for bothering you. I will not disturb you again.~ */ GOTO 12
  IF ~~ THEN REPLY #26379 /* ~Perhaps I should kill you, just to be sure!~ */ GOTO 13
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #26380 /* ~Then I will have armed guards waiting. Go.~ */
  IF ~~ THEN DO ~SetGlobalTimer("TannerGuards","GLOBAL",60)
~ EXIT
END

IF ~~ THEN BEGIN 12 // from: 10.1
  SAY #26381 /* ~See that you don't. Goodbye.~ */
  IF ~~ THEN DO ~SetGlobalTimer("TannerGuards","GLOBAL",60)
~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 10.2
  SAY #26382 /* ~Then you will be hunted by the guards for not following due process. Vigilantes are not welcome in the city limits. Decide well your next move. Now, get out.~ */
  IF ~~ THEN DO ~SetGlobalTimer("TannerGuards","GLOBAL",60)
~ EXIT
END

IF ~~ THEN BEGIN 14 // from: 3.1
  SAY #26386 /* ~What is your point? It is a common smell, especially on new armor. Many sets are sold each day. I am not responsible for how they are used, any more than a blacksmith would be.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 15 // from: 3.2
  SAY #26387 /* ~Elephant hide? Your point being? I have several clients that like such exotics. It makes fine armor, even if it is expensive and rare.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 16 // from: 3.6
  SAY #26390 /* ~Well, that is certainly damning evidence. I mean, who would have new smelling leather armor. Perhaps only half of all the people in Athkatla.~ */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY #26391 /* ~Leather is as common as the dirt, and the smell of tannin is hardly unique. This would not hold up in any court.~ */
  IF ~~ THEN GOTO 10
END

IF WEIGHT #0 ~Global("Attacked","LOCALS",1)
~ THEN BEGIN 18 // from:
  SAY #26392 /* ~You should have run away, little fool! You could not understand! My work must go on!~ */
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Anomen")~ THEN DO ~AddexperienceParty(23250)
Shout(1)
SetGlobal("TannerMove","GLOBAL",1)
SetGlobalTimer("TooLateTanner","GLOBAL",30)
MoveToPoint([274.276])
EscapeAreaMove("AR0502",307,444,0)~ EXIT
  IF ~IsValidForPartyDialog("Jaheira")~ THEN DO ~AddexperienceParty(23250)
Shout(1)
SetGlobal("TannerMove","GLOBAL",1)
SetGlobalTimer("TooLateTanner","GLOBAL",30)
MoveToPoint([274.276])
EscapeAreaMove("AR0502",307,444,0)~ EXTERN ~JAHEIRAJ~ 377
  IF ~!IsValidForPartyDialog("Jaheira")
IsValidForPartyDialog("Minsc")~ THEN DO ~AddexperienceParty(23250)
Shout(1)
SetGlobal("TannerMove","GLOBAL",1)
SetGlobalTimer("TooLateTanner","GLOBAL",30)
MoveToPoint([274.276])
EscapeAreaMove("AR0502",307,444,0)~ EXTERN ~MINSCJ~ 111
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Minsc")
IsValidForPartyDialog("Anomen")~ THEN DO ~AddexperienceParty(23250)
Shout(1)
SetGlobal("TannerMove","GLOBAL",1)
SetGlobalTimer("TooLateTanner","GLOBAL",30)
MoveToPoint([274.276])
EscapeAreaMove("AR0502",307,444,0)~ EXTERN ~ANOMENJ~ 203
END

IF ~~ THEN BEGIN 19 // from: 7.0
  SAY #26394 /* ~No, I won't be doing that. My work must go on. My craft is all important. There is nothing left to work on except the ultimate materials. You will not stop what is unstoppable!~ */
  IF ~~ THEN DO ~AddexperienceParty(23250)
Shout(1)
SetGlobal("TannerMove","GLOBAL",1)
SetGlobalTimer("TooLateTanner","GLOBAL",30)
MoveToPoint([274.276])
Enemy()
EscapeAreaMove("AR0502",307,444,0)
~ EXIT
END

IF ~~ THEN BEGIN 20 // from: 7.1
  SAY #26396 /* ~I might as well try and explain the sun to the moon. You can't understand. My work must go on. There is only one place left for my craft to go, and you cannot stand in the way.~ */
  IF ~~ THEN DO ~AddexperienceParty(23250)
Shout(1)
SetGlobal("TannerMove","GLOBAL",1)
SetGlobalTimer("TooLateTanner","GLOBAL",30)
MoveToPoint([274.276])
Enemy()
EscapeAreaMove("AR0502",307,444,0)
~ EXIT
END

IF ~~ THEN BEGIN 21 // from: 7.2
  SAY #26399 /* ~No, I cannot allow that! You cannot understand! My work, my craft has only one place left to go, and you must not stop it!~ */
  IF ~~ THEN DO ~AddexperienceParty(23250)
Shout(1)
SetGlobal("TannerMove","GLOBAL",1)
SetGlobalTimer("TooLateTanner","GLOBAL",30)
MoveToPoint([274.276])
Enemy()
EscapeAreaMove("AR0502",307,444,0)
~ EXIT
END
